Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRandomAccessOutputStream

    java.lang.Object
      java.io.OutputStream
          igeo.io.IRandomAccessOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class IRandomAccessOutputStream

extends java.io.OutputStream

Byte Output Stream keeping byte framgents as fragments never integrating into one buffer

Author:
  Satoru Sugihara

Field Summary
`java.io.RandomAccessFile` | `file`

Constructor Summary
`IRandomAccessOutputStream(java.io.File f)`
`IRandomAccessOutputStream(java.lang.String f)`

Method Summary
`void` | `close()`
`long` | `pointer()`
`void` | `seek(long l)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int i)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    public java.io.RandomAccessFile file

Constructor Detail

### IRandomAccessOutputStream

    public IRandomAccessOutputStream(java.lang.String f)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

### IRandomAccessOutputStream

    public IRandomAccessOutputStream(java.io.File f)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int i)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### seek

    public void seek(long l)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### pointer

    public long pointer()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD